@import url("https://fonts.googleapis.com/css2?family=Playfair+Display:ital,wght@0,400..900;1,400..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap");

:root {
  --text-dark: #000000;
  --text-light: #767268;
  --extra-light: #eef9f8;
  --white: #ffffff;
  --max-width: 1200px;
  --header-font: "Playfair Display", serif;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

.section__container {
  max-width: var(--max-width);
  margin: auto;
  padding: 5rem 1rem;
}

.section__header {
  position: relative;
  isolation: isolate;
  width: fit-content;
  margin-inline: auto;
  padding-bottom: 0.5rem;
  font-size: 2.5rem;
  font-weight: 800;
  font-family: var(--header-font);
  color: var(--text-dark);
  text-align: center;
}



.contact {
  background-color: var(--extra-light);
}

.contact__container {
  padding-block: 0;
  display: grid;
  gap: 2rem;
}

.contact__content {
  padding-block: 5rem;
}

.contact__content .section__header {
  margin-bottom: 2rem;
}

.contact__content p {
  margin-bottom: 2rem;
  line-height: 1.75rem;
  color: var(--text-light);
  text-align: center;
}

.contact__content input {
  width: 100%;
  padding: 1rem;
  margin-bottom: 1rem;
  outline: none;
  border: none;
  border-bottom: 1px solid var(--text-light);
  font-size: 1rem;
  color: var(--text-light);
  background-color: transparent;
}

.contact__content .btn {
  margin-top: 2rem;
}

.contact__image {
  display: none;
}


@media (width > 540px) {


  .input__row {
    display: flex;
    gap: 2rem;
  }


}

@media (width > 768px) {
 
  .contact__container {
    grid-template-columns: repeat(2, 1fr);
  }

  .contact__content .section__header {
    margin-inline-start: unset;
  }

  .contact__content p {
    text-align: left;
  }

  .contact__image {
    display: flex;
    position: relative;
    isolation: isolate;
  }

  .contact__image img {
    position: absolute;
    bottom: 0;
    left: 50%;
    top: 100px;
    transform: translateX(-50%);
    max-width: 450px;
  }

}

